Bug 1027210 - remove the use of health servlet (hosted-engine)
remove the use of health servlet (hosted-engine)
Status: NEW
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
medium Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Simone Tiraboschi
Leonid Natapov
:
Depends On: 1009843 1138598
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 06:22 EST by Sandro Bonazzola
Modified: 2016-12-05 05:12 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1026723
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2?
rule-engine: planning_ack?
sbonazzo: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 26878 master ABANDONED Avoiding legacy health servlet usage Never

  None (edit)
Description Sandro Bonazzola 2013-11-06 06:22:07 EST
+++ This bug was initially created as a clone of Bug #1026723 +++

The health servlet is a legacy interface that IMO should not be used at all,
marked obsolete and removed as soon as we can.

Please make the notification service use the formal supported API to pull
engine status.

This applies to both setup and hosted.

Thanks!

--- Additional comment from Sandro Bonazzola on 2013-11-06 04:24:11 EST ---

(In reply to Alon Bar-Lev from comment #0)
> Please make the notification service use the formal supported API to pull
> engine status.

 import ovirtsdk.api
 ovirtapi=ovirtsdk.api.API(
   url='https://sbonazzo.csb/api',
   username='admin@internal',
   password='****',
   ca_file='/etc/pki/ovirt-engine/ca.pem',
 )
 once connection is established (engine running), how may I know if DB is Up?

--- Additional comment from Alon Bar-Lev on 2013-11-06 04:35:27 EST ---

our application is not initialized if database connection is down... or do you suggest otherwise...?

# systemctl stop ovirt-engine
# systemctl stop postgresql
# systemctl start ovirt-engine
# curl -v -k https://admin%40internal:engine@localhost/api
# systemctl start postgresql
# curl -v -k https://admin%40internal:engine@localhost/api

BTW: I do not see our application recovering from database down anyway...
Comment 1 Alon Bar-Lev 2013-11-06 06:23:42 EST
Why have you closed? this is for 3.4... just commit it upstream it will be visible in downstream.
Comment 2 Sandro Bonazzola 2013-11-06 06:35:37 EST
I've just cloned to ovirt-hosted-engine-setup component since the original bug pointed to both engine-setup and hosted-engine setup.
Comment 3 Sandro Bonazzola 2014-08-12 04:39:28 EDT
Postponed to 3.6.0 due to authentication issues after SDK changes requiring ssl connection.
Probably the best approach is to have a not authenticated API just to check the status of the system instead of authenticating with the SDK but I don't know when we can have it.
Comment 4 Sandro Bonazzola 2016-09-01 03:38:47 EDT
Juan, will we keep health servlet in 4.1? If yes, I'm for postponing this to 4.2.
Comment 5 Juan Hernández 2016-09-01 03:52:51 EDT
I don't have any good reason to keep or remove that servlet. Do we know what is using it?
Comment 6 Sandro Bonazzola 2016-09-22 06:53:38 EDT
I'm aware only of ovirt-live and ovirt-hosted-engine-setup.
Comment 7 Juan Hernández 2016-09-22 08:50:34 EDT
If those components use that service and we support them, then I'd say that we can't remove this servlet.

Note You need to log in before you can comment on or make changes to this bug.